"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IgnoredBuildsError = void 0;
const error_1 = require("@pnpm/error");
class IgnoredBuildsError extends error_1.PnpmError {
    constructor(ignoredBuilds) {
        super('IGNORED_BUILDS', `Ignored build scripts: ${ignoredBuilds.join(', ')}`, {
            hint: 'Run "pnpm approve-builds" to pick which dependencies should be allowed to run scripts.',
        });
    }
}
exports.IgnoredBuildsError = IgnoredBuildsError;
//# sourceMappingURL=errors.js.map